org.apache.flume.util

## Class RoundRobinOrderSelector<T>

- java.lang.Object
- - org.apache.flume.util.OrderSelector<T>
  - - org.apache.flume.util.RoundRobinOrderSelector<T>

-     public class RoundRobinOrderSelector<T>
      extends OrderSelector<T>

  An implementation of OrderSelector which returns objects in round robin order. Also supports backoff.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoundRobinOrderSelector(boolean shouldBackOff)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<T>` | `createIterator()`

    - ### Methods inherited from class org.apache.flume.util.OrderSelector

      `getIndexList, getMaxTimeOut, getObjects, informFailure, isShouldBackOff, setMaxTimeOut, setObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoundRobinOrderSelector

          public RoundRobinOrderSelector(boolean shouldBackOff)

  - ### Method Detail

    - #### createIterator

          public Iterator<T> createIterator()

      Specified by:
        `createIterator` in class `OrderSelector<T>`
      Returns:
        - list of algorithmically ordered active sinks

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.